Bug 516534 - Review Request: globus-gram-job-manager-callout-error - Globus Toolkit - Globus GRAM Jobmanager Callout Errors
Summary: Review Request: globus-gram-job-manager-callout-error - Globus Toolkit - Glob...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 516536
TreeView+ depends on / blocked
 
Reported: 2009-08-10 11:03 UTC by Mattias Ellert
Modified: 2009-11-18 20:22 UTC (History)
3 users (show)

Fixed In Version: 0.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-04 12:37:11 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-08-10 11:03:27 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-gram-job-manager-callout-error.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-gram-job-manager-callout-error-0.2-1.fc11.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-gram-job-manager-callout-error package contains:
Globus GRAM Jobmanager Callout Errors

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus

Comment 1 Steve Traylen 2009-10-16 21:15:00 UTC
Comment:
The end result of this huge number of packages is excellent but the 
work the process to get to that point..... It's worth while for
sure. Liked the article.
http://www.isgtw.org/?pid=1002049

Review of globus-gram-job-manager-callout-error 

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1750703

NO: rpmlint
$ rpmlint globus-gram-job-manager-callout-error.spec ../SRPMS/globus-gram-job-manager-callout-error-0.2-1.fc11.src.rpm ../RPMS/x86_64/globus-gram-job-manager-callout-error-* ../RPMS/noarch/globus-gram-job-manager-callout-error-doc-0.2-1.fc11.noarch.rpm 
globus-gram-job-manager-callout-error-debuginfo.x86_64: E: description-line-too-long This package provides debug information for package globus-gram-job-manager-callout-error.
globus-gram-job-manager-callout-error-devel.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 1 errors, 1 warnings.

Just the trivial line to long but its easy to fix, presumably can 
be added to your .spec generator.

YES: pkg name good.
YES: spec file name good.
YES: Meets globus guidelines.
YES: License 
YES: License in .spec file.
YES: Licesne files in package
YES: American English.
YES: Spec legible.
YES: 
$ diff -r --brief globus_gram_job_manager_callout_error-0.2 ~/globus/src/gt4.2.1-all-source-installer/source-trees/gram/jobmanager/callout_error/
Only in globus_gram_job_manager_callout_error-0.2: GLOBUS_LICENSE

which is expected.
YES: Builds fine, see koji above.
YES: Builds on all
YES: BR good, in koji.
YES: No locales present.
YES: ldconfig called suitably.
YES: No system libs.
YES: Not relocatable.
YES: Owns directories or pulls them in.
YES: No double enties.
YES: All defattr.
YES: build root removed on clean.
YES: Consistant use of macros.
YES: Yes there is code if not a lot.
YES: %doc not needed runtime.
YES: devel package good.
YES: devel requires libs.
$ rpm -pq --requires globus-gram-job-manager-callout-error-devel-0.2-1.fc11.x86_64.rpm 
/usr/bin/pkg-config  
globus-common-devel(x86-64) >= 3
globus-core(x86-64) >= 4
globus-gram-job-manager-callout-error(x86-64) = 0.2-1.fc11
YES: no .la files present.
YES: no gui.
YES: utf8

Just the trivial description.

Steve

Comment 2 Mattias Ellert 2009-10-19 11:36:03 UTC
(In reply to comment #1)
> Comment:
> The end result of this huge number of packages is excellent but the 
> work the process to get to that point..... It's worth while for
> sure. Liked the article.
> http://www.isgtw.org/?pid=1002049

Thanks.
 
> Just the trivial line to long but its easy to fix, presumably can 
> be added to your .spec generator.
> 
> Just the trivial description.

The discussion in bug 516516, comment 2 applies here as well.

Quoting the above reference:
"The definition of the description of the debuginfo package is not part if the specfile, but is defined in the %debug_info macro."

Comment 3 Steve Traylen 2009-11-01 18:40:40 UTC
Comment #2 satisfies everything.

APPROVED

Steve

Comment 4 Mattias Ellert 2009-11-02 08:26:12 UTC
Many thanks for the review!

New Package CVS Request
=======================
Package Name: globus-gram-job-manager-callout-error
Short Description: Globus Toolkit - Globus GRAM Jobmanager Callout Errors
Owners: ellert
Branches: F-11 F-12 EL-4 EL-5
InitialCC:

Comment 5 Kevin Fenzi 2009-11-03 04:37:49 UTC
cvs done.

Comment 6 Fedora Update System 2009-11-03 10:08:19 UTC
globus-gram-job-manager-callout-error-0.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-gram-job-manager-callout-error-0.2-1.fc11

Comment 7 Fedora Update System 2009-11-03 10:08:20 UTC
globus-gram-job-manager-callout-error-0.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-gram-job-manager-callout-error-0.2-1.el5

Comment 8 Fedora Update System 2009-11-03 10:08:27 UTC
globus-gram-job-manager-callout-error-0.2-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-gram-job-manager-callout-error-0.2-1.el4

Comment 9 Fedora Update System 2009-11-04 12:37:05 UTC
globus-gram-job-manager-callout-error-0.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-11-18 20:20:06 UTC
globus-gram-job-manager-callout-error-0.2-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-11-18 20:22:07 UTC
globus-gram-job-manager-callout-error-0.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.